import { IAuthDataProvider, IOrderRec, IOrderServerTool } from './orderTypes';
export interface OrderRecHashmap {
    [id: string]: IOrderRec;
}
export declare const setOrderStoreUpdatedCallback: (_callback: Function) => void;
export declare const cmdOrderCreate: (ctx: any, authDataProvider: IAuthDataProvider, orderServerTool: IOrderServerTool) => Promise<{
    id: string;
    correlationId: string;
}>;
export declare const onOrderUpdate: (orderData: any) => void;
export declare const onOrderError: (errorMsg: any) => void;
export declare const getOrderStore: () => OrderRecHashmap;
export declare const clearOrderStore: () => void;
