"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderServerTool = void 0;
const orderTypes_1 = require("../orderTypes");
let lastOrderId = 1;
exports.orderServerTool = {
    createOrder: (ctx, tokenProvider) => {
        const retVal = {
            id: `order${lastOrderId}`,
            correlationId: `corelation${lastOrderId}`,
        };
        lastOrderId++;
        return retVal;
    },
    fetchOrder: (ctx, id, tokenProvider) => {
        const order = {
            id,
            tenant: 'tenant1',
            orderType: orderTypes_1.EOrderType.DELIVERY,
            status: orderTypes_1.EOrderStatus.NEW,
            created: new Date('2021-01-01'),
            buckets: [],
        };
        return order;
    },
};
